<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFunctionsTable extends Migration
{
    private $tableName = 'functions';

    public function up()
    {
        Schema::create($this->tableName, function (Blueprint $table) {
            $table->increments('id');
            $table->string('FunName', 128);
            $table->string('FunLink', 128);
            $table->string('FunDesc', 128);
            $table->unsignedTinyInteger('Valid');
            $table->unsignedTinyInteger('Oid'); // TODO: 不知道作用
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::drop($this->tableName);
    }
}
